
%global  framework kross-interpreters
%global  kross_ruby 1
%global  kross_java 0

Name:    kf5-kross-interpreters
Summary: Kross interpreters for KDE Frameworks 5
Version: 16.12.2
Release: 1%{?dist}

License: LGPLv2+
URL:     https://quickgit.kde.org/?p=%{framework}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/applications/%{version}/src/%{framework}-%{version}.tar.xz

%if 0%{?kross_ruby}
BuildRequires: ruby-devel ruby
%endif

%if 0%{?kross_java}
BuildRequires: java-devel
%endif

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-kdelibs4support-devel
BuildRequires:  kf5-kross-devel
BuildRequires:  kf5-rpm-macros
BuildRequires:  python2-devel
BuildRequires:  qt5-qtbase-devel

%description
%{summary}.

# named to match as an addon to kf5-kross
%package -n kf5-kross-python2
Summary:  KF5 Kross plugin for python2
Obsoletes: kf5-kross-python < 16.04
Provides:  kf5-kross-python = %{version}-%{release}
Provides: kf5kross(python2) = %{version}-%{release}
%description -n kf5-kross-python2
Python plugin for the Kross archtecture in KDE Frameworks 5.

# named to match as an addon to kf5-kross
%package -n kf5-kross-java
Summary:  KF5 Kross plugin for java
Provides: kf5kross(java) = %{version}-%{release}
%description -n kf5-kross-java
Java plugin for the Kross archtecture in KDE Frameworks 5.

# named to match as an addon to kf5-kross
%package -n kf5-kross-ruby
Summary:  KF5 Kross plugin for ruby
Provides: kf5kross(ruby) = %{version}-%{release}
%description -n kf5-kross-ruby
Ruby plugin for the Kross archtecture in KDE Frameworks 5.

%prep
%autosetup -n %{framework}-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}



%files -n kf5-kross-python2
%license COPYING
%{_kf5_qtplugindir}/krosspython.so

%if 0%{?kross_java}
%files -n kf5-kross-java
%license COPYING
%{_kf5_qtplugindir}/kross/kross.jar
%{_kf5_qtplugindir}/krossjava.so
%endif

%if 0%{?kross_ruby}
%files -n kf5-kross-ruby
%license COPYING
%{_kf5_qtplugindir}/krossruby.so
%endif

%changelog
* Wed Feb 08 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.2-1
- 16.12.2

* Thu Jan 12 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 16.12.1-2
- F-26: rebuild for ruby24

* Wed Jan 11 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.1-1
- 16.12.1

* Mon Dec 05 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.3-1
- 16.08.3

* Thu Oct 13 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.2-1
- 16.08.2

* Mon Sep 26 2016 Than Ngo <than@redhat.com> - 16.08.1-1
- add ruby plugin

* Wed Sep 07 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.1-1
- 16.08.1

* Fri Aug 12 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.0-1
- 16.08.0

* Sat Aug 06 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.07.90-1
- 16.07.90

* Fri Jul 29 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.07.80-1
- 16.07.80

* Sat Jul 09 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.3-1
- 16.04.3

* Sun Jun 12 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.2-1
- 16.04.2

* Sun May 08 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.1-1
- 16.04.1

* Sat Apr 23 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.0-1
- 16.04.0, -BR: cmake, update URL
- drop empty main pkg
- rename kf5-kross-python => kf5-kross-python2

* Tue Dec 01 2015 Rex Dieter <rdieter@fedoraproject.org> 15.08.3-1
- kf5-kross-interpreters (parallel-installable with kde4 kross-interpreters)

